Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Software Management is not working in opensuse 42.1

  1. #1

    Default Software Management is not working in opensuse 42.1

    Hi,
    I recently upgraded my machine from opensuse from 13.2 to 42.1. From then software management is not working.


    Here is my repo list

    nagendra@linux-4ypo:~> zypper lr -d
    # | Alias | Name | Enabled | GPG Check | Refresh | Priority | Type | URI | Service
    ---+---------------------------+------------------------------------+---------+-----------+---------+----------+--------+----------------------------------------------------------------------------+--------
    1 | Packman Repository | Packman Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://ftp.uni-erlangen.de/pub/mirro.../openSUSE_13.2 |
    2 | SuSE | SuSE | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.videolan.org/SuSE/13.2/ |
    3 | VLC | VLC | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.videolan.org/pub/vlc/SuSE/13.2 |
    4 | home:FunkyM:iOS | home:FunkyM:iOS | Yes | ( p) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    5 | openSUSE:Leap:42.1 | openSUSE:Leap:42.1 | Yes | ( p) Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib...42.1/repo/oss/ |
    6 | repo-debug | openSUSE-13.2-Debug | No | ---- | Yes | 99 | NONE | http://download.opensuse.org/debug/d...13.2/repo/oss/ |
    7 | repo-debug-update | openSUSE-13.2-Update-Debug | No | ---- | Yes | 99 | NONE | http://download.opensuse.org/debug/update/13.2/ |
    8 | repo-debug-update-non-oss | openSUSE-13.2-Update-Debug-Non-Oss | No | ---- | Yes | 99 | NONE | http://download.opensuse.org/debug/update/13.2-non-oss/ |
    9 | repo-non-oss | openSUSE-13.2-Non-Oss | Yes | ( p) Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib.../repo/non-oss/ |
    10 | repo-oss | openSUSE-13.2-Oss | Yes | ( p) Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib...13.2/repo/oss/ |
    11 | repo-source | openSUSE-13.2-Source | No | ---- | Yes | 99 | NONE | http://download.opensuse.org/source/...13.2/repo/oss/ |
    12 | repo-update | openSUSE-13.2-Update | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/13.2/ |
    13 | repo-update-non-oss | openSUSE-13.2-Update-Non-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/13.2-non-oss/

  2. #2

    Default Re: Software Management is not working in opensuse 42.1

    can you open it though YaSt. Try opening YaST and opening it through there that's what i had to do

  3. #3

    Default Re: Software Management is not working in opensuse 42.1

    Quote Originally Posted by wherewolf View Post
    can you open it though YaSt. Try opening YaST and opening it through there that's what i had to do
    Thanks for the quick reply. I tried opening from YaST but that dint work.

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,136

    Default Re: Software Management is not working in opensuse 42.1

    You say you are now (or at least think you are now) on openSUSE LEAP 42.1. But you have still a lot of openSUSE 13.2 repos in that list. That is wrong. You can not mix those.

    Please in the future use CODE tags around copied/pasted computer text in a post. It is the # button in the tool bar of the post editor. When applicable copy/paste complete, that is including the prompt, the command, the output and the next prompt.

    Also, saying "is not working" is next to useless. You must explain what you do, what you expect to happen and what happens instead.

    And seeing the mess of your repo list, you might also explain what you exactly did "upgrading to LEAP 42.1".
    Last edited by hcvv; 18-Sep-2016 at 09:28.
    Henk van Velden

  5. #5

    Default Re: Software Management is not working in opensuse 42.1

    Quote Originally Posted by hcvv View Post
    You say you are now (or at least think you are now) on openSUSE LEAP 42.1. But you have still a lot of openSUSE 13.2 repos in that list. That is wrong. You can not mix those.

    Please in the future use CODE tags around copied/pasted computer text in a post. It is the # button in the tool bar of the post editor. When applicable copy/paste complete, that is including the prompt, the command, the output and the next prompt.

    Also, saying "is not working" is next to useless. You must explain what you do, what you expect to happen and what happens instead.

    And seeing the mess of your repo list, you might also explain what you exactly did "upgrading to LEAP 42.1".


    When I open software Management from search or from Yast, It asks fro password and once password is provided, nothing happens.

    I have followed the site https://en.opensuse.org/SDB:System_upgrade to update from zypper using the following command

    Code:
    
    zypper repos --uri 
    zypper refresh
    zypper update

  6. #6
    Join Date
    Oct 2014
    Location
    Italy
    Posts
    1,674

    Default Re: Software Management is not working in opensuse 42.1

    All your repositories except #5 are still pointing to openSUSE 13.2: how did you upgrade?
    You might still have a mix of Leap and 13.2 packages...
    Please disable all repos except #5 for now and add a Leap update repo; then do a distro upgrade:
    Code:
    zypper mmodifyrepo --disable --all
    zypper mmodifyrepo --enable 5
    zypper addrepo http://download.opensuse.org/update/leap/42.1/oss/
    zypper ref
    zypper dup
    At that point if Software management doesn't start in the usual GUI, check that you have the following packages installed:
    Code:
    # zypper --no-refresh se -i yui
    Loading repository data...
    Reading installed packages...
    
    S | Name                | Summary                                                   | Type   
    --+---------------------+-----------------------------------------------------------+--------
    i | libyui-ncurses-pkg7 | Libyui - yast2 package selector widget for the ncurses UI | package
    i | libyui-ncurses7     | Libyui - Character Based User Interface                   | package
    i | libyui-qt-graph7    | Libyui - Qt Graph Widget                                  | package
    i | libyui-qt-pkg7      | Libyui - Qt Package Selector                              | package
    i | libyui-qt7          | Libyui - Qt User Interface                                | package
    i | libyui7             | Libyui - GUI-abstraction library                          | package
    #
    If not so, you should be able to start yast in a terminal and install them.
    Afterwards you should be able to modify, add or delete additional repositories as you like.
    Last edited by OrsoBruno; 18-Sep-2016 at 10:10. Reason: typo for repo #5
    Main: Leap 15 Gnome on i7 4720HQ + Geforce GTX960M
    Test: Leap 42.3 (& others) on Core2Duo + GM965

  7. #7
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Software Management is not working in opensuse 42.1

    you didn't follow that upgrade procedure as it states to remove the old reposetories
    I was trying to see if you have the LEAP update repo but without the code tags that list is hard to read but it looks like you do not have the Leap update repo.
    remove the 13.2 repo's they're the ones causing you trouble you probobly have mixed Qt libreries and that's why Yast won't work
    first remove the 13.2 repo's, then add the LEAP non-oss (you have the oss repo) and the LEAP update repo's, your packman is for 13.2 too
    do this
    su -
    Code:
    zypper rr 1 2 3 4 6 7 8 9 10 11 12 13
    zypper ar -f http://download.opensuse.org/distribution/leap/42.1/repo/non-oss/ openSUSE:Leap:42.1-Non-Oss
    zypper ar -f http://download.opensuse.org/update/leap/42.1/oss/openSUSE:Leap:42.1:Update.repo
    zypper ar -f http://download.opensuse.org/update/leap/42.1/non-oss/openSUSE:Leap:42.1:NonFree:Update.repo
    zypper ar -f http://packman.inode.at/suse/openSUSE_Leap_42.1/ packman
    after you've done that tell us your new repo list so we can start fixing things

    edit:
    to avoid spelling mistakes you can do copy/paste in a console window
    right click on the text above select copy then in a terminal press shift+Ins to paste or rightclick and select paste

  8. #8
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,136

    Default Re: Software Management is not working in opensuse 42.1

    While I was having dinner, all sorts of good answers are filling this place
    Henk van Velden

  9. #9

    Default Re: Software Management is not working in opensuse 42.1

    Quote Originally Posted by OrsoBruno View Post
    All your repositories except #5 are still pointing to openSUSE 13.2: how did you upgrade?
    You might still have a mix of Leap and 13.2 packages...
    Please disable all repos except #5 for now and add a Leap update repo; then do a distro upgrade:
    Code:
    zypper mmodifyrepo --disable --all
    zypper mmodifyrepo --enable 5
    zypper addrepo http://download.opensuse.org/update/leap/42.1/oss/
    zypper ref
    zypper dup
    At that point if Software management doesn't start in the usual GUI, check that you have the following packages installed:
    Code:
    # zypper --no-refresh se -i yui
    Loading repository data...
    Reading installed packages...
    
    S | Name                | Summary                                                   | Type   
    --+---------------------+-----------------------------------------------------------+--------
    i | libyui-ncurses-pkg7 | Libyui - yast2 package selector widget for the ncurses UI | package
    i | libyui-ncurses7     | Libyui - Character Based User Interface                   | package
    i | libyui-qt-graph7    | Libyui - Qt Graph Widget                                  | package
    i | libyui-qt-pkg7      | Libyui - Qt Package Selector                              | package
    i | libyui-qt7          | Libyui - Qt User Interface                                | package
    i | libyui7             | Libyui - GUI-abstraction library                          | package
    #
    If not so, you should be able to start yast in a terminal and install them.
    Afterwards you should be able to modify, add or delete additional repositories as you like.

    I did updated with following commands
    Code:
    zypper mmodifyrepo --disable --all
    zypper mmodifyrepo --enable 5
    zypper addrepo http://download.opensuse.org/update/leap/42.1/oss/
    zypper ref
    zypper dup
    and Software Management opened up !!
    Thanks a lot for the quick reply


    And here is the repo list now and see if nothing is wrong


    Code:
    #  | Alias                     | Name                               | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                        | Service
    ---+---------------------------+------------------------------------+---------+-----------+---------+----------+--------+----------------------------------------------------------------------------+--------
     1 | Packman Repository        | Packman Repository                 | No      | ----      | Yes     |   99     | rpm-md | http://ftp.uni-erlangen.de/pub/mirrors/packman/suse/openSUSE_13.2          |        
     2 | SuSE                      | SuSE                               | No      | ----      | Yes     |   99     | rpm-md | http://download.videolan.org/SuSE/13.2/                                    |        
     3 | VLC                       | VLC                                | No      | ----      | Yes     |   99     | rpm-md | http://download.videolan.org/pub/vlc/SuSE/13.2                             |        
     4 | home:FunkyM:iOS           | home:FunkyM:iOS                    | No      | ----      | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/FunkyM:/iOS/openSUSE_13.2/ |        
     5 | openSUSE:Leap:42.1        | openSUSE:Leap:42.1                 | Yes     | ( p) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/oss/              |        
     6 | repo-debug                | openSUSE-13.2-Debug                | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/13.2/repo/oss/             |        
     7 | repo-debug-update         | openSUSE-13.2-Update-Debug         | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.2/                            |        
     8 | repo-debug-update-non-oss | openSUSE-13.2-Update-Debug-Non-Oss | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.2-non-oss/                    |        
     9 | repo-non-oss              | openSUSE-13.2-Non-Oss              | No      | ----      | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.2/repo/non-oss/               |        
    10 | repo-oss                  | openSUSE-13.2-Oss                  | No      | ----      | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.2/repo/oss/                   |        
    11 | repo-source               | openSUSE-13.2-Source               | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/13.2/repo/oss/            |        
    12 | repo-update               | openSUSE-13.2-Update               | No      | ----      | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.2/                                  |        
    13 | repo-update-non-oss       | openSUSE-13.2-Update-Non-Oss       | No      | ----      | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.2-non-oss/

  10. #10
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,136

    Default Re: Software Management is not working in opensuse 42.1

    Now you still have only one Leap 42/1 repo, where you need four:

    • OSS
    • non-OSS
    • Update OSS
    • Update non-OSS

    You must either remove all the 13.2 repos you still have or change the URL to Leap 42.1 places.
    Matybe someone can give you the exact URLs. I do not have Lwap 42.1 running.


    As a side remark, better remove those Videolan repos. Use Packman alone (recommended) or Videoland alone, but do not mix them.
    Henk van Velden

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •